%global tar_name py3exiv2

Name:           python3-exiv2
Version:        0.2.1
Release:        3%{?dist}
License:        GPLv2+ and GPLv3+
Summary:        Python3 bindings for the exiv2 library
Url:            https://launchpad.net/py3exiv2

Source:         https://files.pythonhosted.org/packages/source/p/py3exiv2/%{tar_name}-%{version}.tar.gz

BuildRequires:  boost-python3-devel
BuildRequires:  exiv2-devel
BuildRequires:  python3-rpm-macros
BuildRequires:  python3-devel

%description
python3-exiv2 is a Python 3 binding to exiv2, the C++ library for manipulation
of EXIF, IPTC and XMP image metadata. It is a python 3 module that allows your
scripts to read and write metadata (EXIF, IPTC, XMP, thumbnails) embedded in
image files (JPEG, TIFF, ...).

It is designed as a high-level interface to the functionalities offered by
libexiv2. Using python’s built-in data types and standard modules, it provides
easy manipulation of image metadata.

%prep
%autosetup -n %{tar_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files
%doc README
%{python3_sitearch}/*

%changelog
* Tue May 08 2018 Andreas Schneider <asn@redhat.com> - 0.2.1-3
- Added missing dist tag to Release

* Mon May 07 2018 Andreas Schneider <asn@redhat.com> - 0.2.1-2
- Fixed license
- Removed build requires for gcc-c++

* Sun May 06 2018 Andreas Schneider <asn@redhat.com> - 0.2.1-1
- Initial package
